#include "RecoverComponent.h"
#include "AnimationMontageDescriptor.h"
#include "EHealthState.h"
#include "Net/UnrealNetwork.h"

void URecoverComponent::OnRep_IsRecoverOngoing(bool oldValue)
{

}

void URecoverComponent::OnRep_HasReachedRecoverStopPercent()
{

}

void URecoverComponent::OnLevelReadyToPlay()
{

}

void URecoverComponent::OnKnockoutMontageStarted(const FAnimationMontageDescriptor montageDescriptor, const float rate)
{

}

void URecoverComponent::Authority_OnOwningSurvivorHealthStateChanged(EHealthState oldHealthState, EHealthState newHealthState)
{

}

void URecoverComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(URecoverComponent, _hasReachedRecoverStopPercent);
	DOREPLIFETIME(URecoverComponent, _isRecoverOngoing);
}

URecoverComponent::URecoverComponent()
{
	this->_recoverChargeProgressDescriptionText = FText::GetEmpty();
	this->_findHelpText = FText::GetEmpty();
	this->_hasReachedRecoverStopPercent = false;
	this->_isRecoverOngoing = false;
	this->_cumulativeRecoverProgress = 0.000000;
}
